December 15, 2005

Gogole Earth for Mac OS

Some thought it was out, however, it appears it was too good to be true! This blogger got a tip and grabbed the download (see, however, since then the file has been pulled from the Google download site ( ... Apparently it requires Mac OS X 10.4 (Tiger) or later and speculation has it that this was simply a leak and we'll be waiting a few weeks for it to officially come.

No comments: